Page MenuHomePhabricator

"TypeError: can't convert undefined to object" apperas when I delete all the co-ordinates from Data section of the Graph editor and cannot open any other inspector after that
Closed, ResolvedPublic1 Story Points

Description

Steps to reproduce:

1.Open Graph editor from VE
2.Go to the tab "Data"
3.Delete all the (X,Y) pairs
4.Insert it

Observed Results:
There is a graph node with no index points on any axis. Error in the console:
"TypeError: can't convert undefined to object"

Event Timeline

Ryasmeen created this task.Nov 17 2015, 7:49 PM
Ryasmeen raised the priority of this task from to Needs Triage.
Ryasmeen updated the task description. (Show Details)
Ryasmeen added a project: VisualEditor.
Ryasmeen added a subscriber: Ryasmeen.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 17 2015, 7:49 PM
Ryasmeen set Security to None.
ferdbold triaged this task as High priority.Nov 17 2015, 8:05 PM

Change 253777 had a related patch set uploaded (by Ferdbold):
Handle empty datasets in graphs

https://gerrit.wikimedia.org/r/253777

Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from To Triage to Blocked on the VisualEditor board.
Yurik moved this task from Backlog to VisualEditor on the Graphs board.Nov 25 2015, 9:13 PM

Change 253777 merged by jenkins-bot:
Handle empty datasets in graphs

https://gerrit.wikimedia.org/r/253777

Jdforrester-WMF closed this task as Resolved.Jan 26 2016, 7:39 PM
Jdforrester-WMF removed a project: Patch-For-Review.